Bug 27472 - Improve link text when successfully merging bibliographic records
Summary: Improve link text when successfully merging bibliographic records
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Amy King
QA Contact: Kyle M Hall
URL:
Keywords: Academy
Depends on:
Blocks: 26722
  Show dependency treegraph
 
Reported: 2021-01-20 01:05 UTC by Aleisha Amohia
Modified: 2021-06-14 21:35 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27472: Changed link text from "click here" to "click this sentence". (1.46 KB, patch)
2021-01-20 01:28 UTC, Amy King
Details | Diff | Splinter Review
Bug 27472: Link text change so is more helpful. (1.33 KB, patch)
2021-01-20 01:37 UTC, Amy King
Details | Diff | Splinter Review
Bug 27472: changed link text (1.27 KB, patch)
2021-01-20 20:27 UTC, Amy King
Details | Diff | Splinter Review
Bug 27472: changed link text (1.32 KB, patch)
2021-01-21 13:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27472: changed link text (1.39 KB, patch)
2021-01-21 15:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27472: Improve link text (merge.tt) (1.38 KB, patch)
2021-01-22 13:23 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2021-01-20 01:05:40 UTC
koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/merge.tt:        <p>The merge was successful. <a href="/cgi-bin/koha/catalogue/MARCdetail.pl?biblionumber=[% ref_biblionumber | uri %]">Click here to see the merged record.</a></p>

"Here" should not be used as a link text as it doesn't contain any helpful information for people scanning the page for information and also is a problem for blind users using screen readers jumping from link to link on a page.

To reproduce:

1. have or create two bibliographic records
2. in your terminal run 
sudo koha-rebuild-zebra -f -b -v kohadev
3. do a catalog search that will return both records in the results
4. select the checkboxes for both records
5. click edit->merge and continue the process of merging two records
6. notice the 'click here' message after successfully merging
Comment 1 Amy King 2021-01-20 01:28:32 UTC
Created attachment 115389 [details] [review]
Bug 27472: Changed link text from "click here" to "click this sentence".

Test plan:
1. Complete the steps above, specially noting the last step.
2. Apply patch
3. Complete the steps above, but now notice how the link says "Click
this sentence..." after merging.
Comment 2 Amy King 2021-01-20 01:37:29 UTC
Created attachment 115391 [details] [review]
Bug 27472: Link text change so is more helpful.

Test Plan:

1. Complete the steps to reproduce above, specially noting the last step
2. Apply the patch
3. Complete step 1 again, but now notice how the link says "This
sentence is the link to ..."
Comment 3 Owen Leonard 2021-01-20 14:26:28 UTC
"This sentence is the link to see the merged record." doesn't make sense to me, it sounds like placeholder text.

How about "View the merged record" ?
Comment 4 Amy King 2021-01-20 20:27:14 UTC
Created attachment 115453 [details] [review]
Bug 27472: changed link text

Test plan:
1. Complete the steps above to reproduce, specially noting the last
step.
2. Apply patch
3. Complete step 1 again, but now notice how the link says "View the
merged record"
Comment 5 Owen Leonard 2021-01-21 13:25:07 UTC
Created attachment 115542 [details] [review]
Bug 27472: changed link text

Test plan:
1. Complete the steps above to reproduce, specially noting the last
step.
2. Apply patch
3. Complete step 1 again, but now notice how the link says "View the
merged record"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Kyle M Hall 2021-01-21 15:36:16 UTC
Created attachment 115562 [details] [review]
Bug 27472: changed link text

Test plan:
1. Complete the steps above to reproduce, specially noting the last
step.
2. Apply patch
3. Complete step 1 again, but now notice how the link says "View the
merged record"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Jonathan Druart 2021-01-22 13:23:45 UTC
Created attachment 115692 [details] [review]
Bug 27472: Improve link text (merge.tt)

Test plan:
1. Complete the steps above to reproduce, specially noting the last
step.
2. Apply patch
3. Complete step 1 again, but now notice how the link says "View the
merged record"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Jonathan Druart 2021-01-22 13:54:37 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 9 Fridolin Somers 2021-01-29 13:42:06 UTC
Enhancement not pushed to 20.11.x